<?php
/*
 * module/document/page.php
 *
 * All Ouga code is released under the GNU General Public License.
 * See README and LICENSE.
 *
 */

$module_title = $article->title;

$modmenucontents['document'] = _('My Documents');
$modmenucontents['document/edit/'.$article->did] = _('Modify this article');

?>
<h2><?php echo $article->title; ?></h2>
<?php if($article->url != ''){
	switch($article->get_format()){
		case 'jpeg' :
		case '.jpg' :
		case '.png' :
		case '.gif' :
			echo '<img src="'.$article->get_miniimg().'" alt="" />';
			echo '<p><img src="'.path_to_module('document').'views/img/images.png" alt=""/> '.__(_('This is an image document. You can %1'), array('<a href="'.$article->url.'">'._('download it').'</a>')).'</p>';
			break;
		case '.pdf' :
			echo '<p><img src="'.path_to_module('document').'views/img/page_white_acrobat.png" alt=""/> '.__(_('This is a pdf document. You can %1'), array('<a href="'.$article->url.'">'._('download it').'</a>')).'</p>';
			break;
		case '.doc' :
			echo '<p><img src="'.path_to_module('document').'views/img/page_white_word.png" alt=""/> '.__(_('This is a word document. You can %1'), array('<a href="'.$article->url.'">'._('download it').'</a>')).'</p>';
			break;
	}
}
print $article->get_content(); ?>
<p>
<?php
foreach ($article->tags as $tag => $nbr)
	echo ' <a href="'.base_path().'document/tags/'.$tag.'" title="'.$nbr.'">'.$tag.'</a> ';
?>
</p>
