<?php
/*
 * module/membre/group.php
 *
 * Umaneti est disponible selon les termes de la licence Gnu/GPL version 2.
 * Néanmoins, tous les éléments graphiques ou textuels présent sur le domaine
 * umaneti.net sont la propriété exclusive d'Umaneti, sauf mention contraire.
 *
 */

$module_title = _('ACL Groups management');
$modmenucontents = array(
	'group' => _('Groups management'),
	'group/rights' => _('Rights management')
);
?>

<script type="text/javascript">
<!--
	function refresh_userlist(eid,zid){
		var url = "<?php echo base_path(); ?>group/ajax";
		var select = document.getElementById(eid);
		var zone = document.getElementById(zid);
		zone.innerHTML = '';
		var value = "group=" + select.value;
		var request = sendAjaxPost(url, value);
		request.onreadystatechange = function(){
			if (request.readyState == 4){
				var domresp = request.responseXML;
				var users = domresp.getElementsByTagName('users').item(0);
				var u = users.firstChild;
				while(u != null){
					listitem = document.createElement('option');
					listitem.setAttribute('value', u.getAttribute('value'));
					listitem.innerHTML = textNode(u);
					zone.appendChild(listitem);
					u = u.nextSibling;
				}
			}
		}
	}
-->
</script>


<h2><?php echo _('Create new group'); ?></h2>
<form action="<?php echo base_path(); ?>group/register" method="post">
	<fieldset>
		<label for="groupnamefield">
			<?php echo _('Group name:'); ?>
		</label>
		<input type="text" name="groupname"
			id="groupnamefield" value=""/>
		<input type="submit" value="<?php echo _('Create'); ?>"/>
	</fieldset>
</form>

<h2><?php echo _('Manage groups participants'); ?></h2>
<form action="<?php echo base_path(); ?>group/do"
	method="post" id="groupDo">
	<fieldset>
	<input type="hidden" name="action" value="addtogrp"/>
	<div class="group_left">
		<select name="namegroupleft" id="listleft"
			onchange="javascript:refresh_userlist('listleft','usrgrpleft');">
			<option value="all"<?php
				if($_SESSION['gl'] == 'all'){
					echo ' selected="selected"';
				} ?>><?php echo _('All users'); ?></option>
			<?php
			if(is_array($groups)){
				foreach($groups as $g){
					echo '<option value="' . $g['aid'] . '"';
					if($_SESSION['gl'] == $g['aid'])
						echo ' selected="selected"';
					echo '> '.$g['label'].'</option>';
				}
			}
			?>
		</select>
		<br/>
		<select multiple="multiple" name="usergroupleft[]"
			id="usrgrpleft">
			<?php foreach($member_list_left as $l => $u){
				if(empty($u->firstname) && empty($u->lastname)){
					echo '<option value="' . $l . '">'
						. $l . '</option>';
				}else{
					echo '<option value="' . $l . '">'
						. strdirty($u->firstname) . ' '
						. strdirty($u->lastname) . '</option>';
				}
			} ?>
		</select>
	</div>

	<div class="button_middle">
		<input type="submit" value=">"/><br/>
		<input type="submit" value="<"/>
	</div>

	<div class="group_right">
		<select name="namegroupright" id="listright"
			onchange="javascript:refresh_userlist('listright','usrgrpright');">
			<option value="all"<?php
				if($_SESSION['gr'] == 'all'){
					echo ' selected="selected"';
				} ?>><?php echo _('All users'); ?></option>
			<?php
			if(is_array($groups)){
				foreach($groups as $g){
					echo '<option value="' . $g['aid'] . '"';
					if($_SESSION['gr'] == $g['aid'])
						echo ' selected="selected"';
					echo '> ' . $g['label'] . '</option>';
				}
			}
			?>
		</select>
		<br/>
		<select multiple="multiple" name="usergroupright[]"
			id="usrgrpright">
			<?php foreach($member_list_right as $l => $u){
				if(empty($u->firstname) && empty($u->lastname)){
					echo '<option value="' . $l . '">'
						. $l . '</option>';
				}else{
					echo '<option value="' . $l . '">'
						. strdirty($u->firstname) . ' '
						. strdirty($u->lastname) . '</option>';
				}
			} ?>
		</select>
	</div>
	</fieldset>
</form>
