<?php
/*
 * module/user/compte.php
 *
 * Umaneti est disponible selon les termes de la licence Gnu/GPL version 2.
 * Néanmoins, tous les éléments graphiques ou textuels présent sur le domaine
 * umaneti.net sont la propriété exclusive d'Umaneti, sauf mention contraire.
 *
 */
$module_title = _('Account modification');
$modmenucontents = array( 'user/list' => _('Members list'));
if(get_arg(2)){
	$modmenucontents['user/edit/'.$account_item->login.'#compte'] = _('Account modification');
	$modmenucontents['user/edit/'.$account_item->login.'#mdp'] = _('Password modification');
}else{
	$modmenucontents['user/edit#compte'] = _('Account modification');
	$modmenucontents['user/edit#mdp'] = _('Password modification');
}
 ?>
<?php switch(get_arg(4)){
	case 'ok' : echo '<p style="color:green;">'._('Account updating ok').'</p>';break;
	case 'not_valid' : echo '<p style="color:red;">'._('Problems during update of this account.').'</p>';break;
	} ?>
<a id="compte"></a>
<form action="<?php echo base_path(); ?>user/modify" method="post">
<fieldset>
	<h2><?php echo _('Account modification'); ?></h2>
	<img src="<?php echo $account_item->get_gravatar(); ?>" alt="" class="gravatar"/>
	<h3><?php echo _('Your gravatar'); ?></h3>
	<input type="radio" name="gravamod" id="grava_radio_old" value="<?php echo $account_item->gravatar; ?>" checked="checked" /> <label for="grava_radio_old"><?php echo _('I want to keep this gravatar'); ?></label><br/>
	<input type="radio" name="gravamod" id="grava_radio_new" value="new" /> <label for="grava_radio_new"><?php echo _('I want to change it.'); ?></label>
	<label for="gravatar"><?php echo _('To change your gravatar, please provide your email adress:'); ?></label> <input type="text" name="gravatar" id="gravatar" value=""/>
	<h3><?php echo _('Personnal information'); ?></h3>
	<label for="firstname"><?php echo _('Your firstname'); ?></label> <input type="text" name="firstname" id="firstname" value="<?php echo $account_item->firstname; ?>"><br/>
	<label for="lastname"><?php echo _('Your lastname'); ?></label> <input type="text" name="lastname" id="lastname" value="<?php echo $account_item->lastname; ?>"><br/>

	<?php echo __(_('In which language must %1 be displayed ?'), array($ouga_name)); ?>
	<select name="modlang">
		<option value="fr_FR"<?php if($account_item->lang == 'fr_FR') echo ' selected="selected"'; ?>>Français</option>
		<option value="en_US"<?php if($account_item->lang == 'en_US') echo ' selected="selected"'; ?>>English</option>
	</select><br/>
	<input type="hidden" name="modiuti" value="<?php echo $account_item->login; ?>"/>
	<input type="submit" value="<?php echo _('Modifiy'); ?>"/>
</fieldset>
</form>

 <a id="mdp"></a>
 <h2><?php echo _('Password modification'); ?></h2>
<form action="<?php echo base_path(); ?>user/password/edit" method="post">
<fieldset>
	<label for="oldpass">
	<input type="password" name="pass1" id="oldpass"/>
	<?php echo _('Old password'); ?>
	</label><br/>
	<label for="modpass">
	<input type="password" name="pass2" id="modpass"/>
	<?php echo _('New password'); ?>
	</label><br/>
	<label for="modpassverif">
	<input type="password" name="pass3" id="modpassverif"/>
	<?php echo _('New password verification'); ?>
	</label>
	<input type="hidden" name="modiduti" value="<?php echo $account_item->login; ?>"/><br/>
	<input type="submit" value="<?php echo _('Change password'); ?>"/>
</fieldset>
</form>
