<?php
/*
 * Copyright (c) 2009, The members of Ouga! project
 * Etienne Deparis <etienne.deparis@umaneti.net>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 *
 * modification, are permitted provided that the following conditions are
 * met:
 *  - Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  - Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *  - Neither the name of the Ouga! project nor the names of its
 *    contributors may be used to endorse or promote products derived from
 *    this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */

function variables_init(){
	$variables = array();

	$variables['header'] = array(
							'meta' => array('Description' => '',
											'Keywords' => ''),
							'style' => array('screen' => array(),
											'print' => array()
							),
							'rss' => array(),
							'script' => array()
							);
	$variables['menus'] = array();
	$variables['footer'] = _(
		'<a href="https://launchpad.net/oprj">Powered by Ouga!</a>'
	);
	$variables['ouga_name'] = OUGA_NAME;
	$variables['theme'] = OUGA_THEME;
	$variables['modmenucontents'] = array();
	$variables['flash_messages'] = array();
	$variables['modeles_already_used'] = array();
	// par défaut on est en visualisation web.
	$variables['controller'] = 1;
	$variables['current_file'] = array('lib_variables');
	$variables['hook_readonly'] = false;
	// The following permit a hook to change controller (mobile view)
	$variables['controller_file'] = 'core/controller.php';

	// Extractions des variables pour le moteur de template
	if(isset($_GET['u']) && !empty($_GET['u'])){
		$variables['path'] = explode('/', strclean($_GET['u']));
	}else{
		$variables['path'] = explode('/', OUGA_DEFAULT_HOME);
	}

	return $variables;
}

// we have to initialize the variables array at inclusion.
$variables = variables_init();
?>
