<?php
/*
 * path_to_file
 * @author Etienne Deparis <etienne.deparis@umaneti.net>
 */
?>
<ul title="<?php echo $module_title; ?>">
<?php foreach ($articles_list as $art) {
	if($art->url != ''){
		switch($art->get_format()){
			case 'jpeg' :
			case '.jpg' :
			case '.png' :
			case '.gif' :
				$vignette = '<img src="'.path_to_module('document').'img/images.png" alt=""/>';
				break;
			case '.pdf' :
				$vignette = '<img src="'.path_to_module('document').'img/page_white_acrobat.png" alt=""/>';
				break;
			case '.doc' :
				$vignette = '<img src="'.path_to_module('document').'img/page_white_word.png" alt=""/>';
				break;
			default :
				$vignette = '';
		}
	}else{
		$vignette = '<img src="'.path_to_module('document').'img/page_white_world.png" alt=""/>';
	}
	echo '<li>'.$vignette.' <a href="'.base_path().'document/'.$art->did.'/'.rendTitre($art->title).'">'.$art->title.'</a>';
	echo format_lang(_('published on |VAR1|.'),array(affiche_simple_date($art->date,get_lang())));
	echo ' - <a href="'.base_path().'document/edit/'.$art->did.'"><img src="'.path_to_module('document').'img/pencil.png" alt="'._('Modify this article').'" title="'._('Modify this article').'" /></a>';
	echo ' - <a href="'.base_path().'document/delete/'.$art->did.'" onclick="javascript:delDoc('.$art->did.');return false;"><img src="'.path_to_module('document').'img/bin.png" alt="'._('Delete this article').'" title="'._('Delete this article').'" /></a>';
	echo ' - ';
	if($art->get_type() == DOCUMENT_DRAFT) echo '<span style="color:red;">'._('Draft').'</span>';
	if($art->get_type() == DOCUMENT_PRIVATE) echo '<span style="color:blue;">'._('Private').'</span>';
	if($art->get_type() == DOCUMENT_PUBLISHED) echo '<span style="color:green;">'._('Published').'</span>';
	echo '</li>';
}
echo '</ul>';
?>